すべてのプロダクト
Search
ドキュメントセンター

Tablestore:配信タスク情報の照会

最終更新日:Aug 03, 2026

Tablestore SDK for Java を使用して、配信タスクの OSS 配信設定、タスクタイプ、および同期ステータスを照会します。

前提条件

Tablestore SDK for Java をインストールし、クライアントを初期化します。データ配信にはバージョン 5.10.3 以降が必要です。最新バージョンの使用を推奨します。

説明

describeDeliveryTask API を呼び出して、配信タスクの設定と実行ステータスを照会します。

public DescribeDeliveryTaskResponse describeDeliveryTask(DescribeDeliveryTaskRequest request)
        throws TableStoreException, ClientException

次の例では、example_table データテーブル内の example_task 配信タスクを照会し、タスクタイプ、OSS ディレクトリプレフィックス、および同期フェーズを出力します。client は初期化済みのクライアントです。

String tableName = "example_table";
String taskName = "example_task";
DescribeDeliveryTaskRequest request =
        new DescribeDeliveryTaskRequest(tableName, taskName);

DescribeDeliveryTaskResponse response = client.describeDeliveryTask(request);
System.out.println("taskType: " + response.getTaskType());
System.out.println("ossPrefix: " + response.getTaskConfig().getOssPrefix());
System.out.println("taskSyncPhase: "
        + response.getTaskSyncStat().getTaskSyncPhase());

パラメータ

request は DescribeDeliveryTaskRequest 型で、次のパラメータを含みます。

名前

タイプ

説明

tableName (必須)

String

データテーブルの名前。

taskName (必須)

String

配信タスクの名前。

レスポンス

このメソッドは、次のビジネスフィールドを含む DescribeDeliveryTaskResponse オブジェクトを返します。

名前

タイプ

説明

taskConfig

OSSTaskConfig

OSS 配信設定。

taskSyncStat

TaskSyncStat

配信タスクの同期ステータス。

taskType

DeliveryTaskType

配信タスクタイプ。有効な値:全量配信の場合は BASE、増分配信の場合は INC、全量配信の後に継続的な増分配信を行う場合は BASE_INC。

OSS 配信設定

taskConfig は OSSTaskConfig 型で、次のフィールドを含みます。

名前

タイプ

説明

ossPrefix

String

OSS バケット内のディレクトリプレフィックス。

ossBucket

String

OSS バケットの名前。

ossEndpoint

String

OSS バケットが存在するリージョンのエンドポイント。

ossStsRole

String

AliyunServiceRoleForOTSDataDelivery サービスリンクロールの ARN。

parquetSchema

List<ParquetSchema>

配信されるフィールド。要素の順序は、 Parquet ファイル内のフィールド順序と同じです。

eventTimeColumn

EventColumn

イベント時間列。設定されていない場合、このフィールドは空です。

format

OSSFileFormat

OSS ファイルフォーマット。現在の値: Parquet。

timeFormatter

TimeFormatter

OSS パーティションフォーマット。現在の値:年-月-日フォーマットを表す YDMFormatter。

配信されるフィールド

taskConfig.parquetSchema[] の各要素は ParquetSchema 型で、次のフィールドを含みます。

名前

タイプ

説明

columnName

String

Tablestore データテーブル内のソースフィールドの名前。

ossColumnName

String

OSS に配信された後のフィールド名。

type

DataType

Parquet ファイル内でのフィールドの送信先タイプ。

encode

OSSFileEncoding

Parquet エンコーディング。

typeExtend

String

Parquet 拡張タイプ。この機能はサポートされていないため、このフィールドは空です。

イベント時間列

taskConfig.eventTimeColumn は EventColumn 型で、次のフィールドを含みます。

名前

タイプ

説明

columnName

String

イベント時間として使用されるソースフィールドの名前。

timeFormat

EventTimeFormat

イベント時間フォーマット。有効な値: RFC822、 RFC850、 RFC1123、 RFC3339、 UNIX。

同期ステータス

taskSyncStat は TaskSyncStat 型で、次のフィールドを含みます。

名前

タイプ

説明

taskSyncPhase

TaskSyncPhase

同期フェーズ。有効な値:初期化の場合は INIT、全量同期の場合は FULL、増分同期の場合は INCR。

currentSyncPoint

Date

現在の同期ポイント。

errorType

DeliveryErrorType

エラータイプ。有効な値:エラーなしの場合は OK、承認失敗の場合は UNAUTHORIZED、無効な OSS バケットの場合は INVALID_OSS_BUCKET。

detail

String

同期ステータスまたはエラーに関する詳細。